package com.example.test

import org.gradle.tooling.GradleConnector
import org.gradle.tooling.ProjectConnection
import org.junit.Before
import org.junit.Test

class ExamplePluginCompatibilityTest {
	protected ProjectConnection project
	protected File projectDir = new File(System.properties['java.io.tmpdir'], 'example')
	
	@Before
	void initProject() {
		GradleConnector connector = GradleConnector.newConnector()
		connector.useDistribution(new URI(System.properties['gradle.dist.url']))
		connector.forProjectDirectory(projectDir)
		//connector.embedded(true)
		project = connector.connect()
	}

	@Before
	void writeProperties() {
		new File(projectDir, 'gradle.properties').withPrintWriter { writer ->
			writer.println "pluginClasspath=${System.properties['plugin.classpath']}"
		}
	}
	
	@Test
	void 'build succeeds'() {
		project.newBuild().forTasks('build').run()
		assert new File(projectDir, 'build/libs/example.jar').exists()
		assert new File(projectDir, 'build/libs/example-sources.jar').exists()
	}
}
